javax.media.j3d

## Class PickConeSegment

- java.lang.Object
- - javax.media.j3d.PickShape
  - - javax.media.j3d.PickCone
    - - javax.media.j3d.PickConeSegment

    public final class PickConeSegment
    extends PickCone

PickConeSegment is a finite cone segment pick shape. It can be used as an argument to the picking methods in BranchGroup and Locale.

Since:
  Java 3D 1.2
See Also:
  `BranchGroup.pickAll(javax.media.j3d.PickShape)`, `Locale.pickAll(javax.media.j3d.PickShape)`

### Constructor Summary

Constructors
Constructor and Description
`PickConeSegment()` Constructs an empty PickConeSegment.
`PickConeSegment(Point3d origin, Point3d end, double spreadAngle)` Constructs a finite cone pick shape from the specified parameters.

### Method Summary

Methods
`void` `getEnd(Point3d end)` Gets the end point of this PickConeSegment.
`void` `set(Point3d origin, Point3d end, double spreadAngle)` Sets the parameters of this PickCone to the specified values.

### Methods inherited from class javax.media.j3d.PickCone

`getDirection, getOrigin, getSpreadAngle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PickConeSegment

    public PickConeSegment()

Constructs an empty PickConeSegment. The origin and end point of the cone are initialized to (0,0,0). The spread angle is initialized to `PI/64` radians.

#### PickConeSegment

    public PickConeSegment(Point3d origin,
                   Point3d end,
                   double spreadAngle)

Constructs a finite cone pick shape from the specified parameters.

Parameters:
  `origin` - the origin of the cone
  `end` - the end of the cone along the direction vector
  `spreadAngle` - the spread angle of the cone in radians

### Method Detail

#### set

    public void set(Point3d origin,
           Point3d end,
           double spreadAngle)

Sets the parameters of this PickCone to the specified values.

Parameters:
  `origin` - the origin of the cone
  `end` - the end of the cone
  `spreadAngle` - the spread angle of the cone in radians

#### getEnd

    public void getEnd(Point3d end)

Gets the end point of this PickConeSegment.

Parameters:
  `end` - the Point3d object into which the end point will be copied.